Subject: bug#24421: closed (Re: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Aug 2020 16:21:02 +0000

Your bug report

#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24421: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24421
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2
From: Stefan Kangas <[email-masked]>
To: Philipp Stephani <[email-masked]>
Cc: [email-masked]
Date: Tue, 4 Aug 2020 09:20:08 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Philipp Stephani <[email-masked]> writes:
>>
>>> Which GTK+ application did you check? As said, at least for me GEdit
>>> and Gnome Terminal consistently paste on key press.
>>
>> OK, I installed some stuff and did some testing.  On my machine:
>>
>> The following tested applications pastes on key PRESS:
>>
>> - gnome-terminal
>> - gedit
>> - gnome-calculator
>> - konsole (qt)
>> - xedit
>> - libreoffice
>> - gvim (gtk3)
>> - chromium
>>
>> The following tested applications pastes on key RELEASE:
>>
>> - xterm
>> - urxvt
>> - firefox (using gtk)
>> - calibre (using gtk)
>> - emacs (using gtk)
>>
>> Could you try one or two of the programs in the latter group
>> (excluding emacs) and verify that you see the same?
>>
>> If my above observations are not due to some mucked up local
>> configuration, this seems inconclusive.  I'm not sure where that
>> leaves us.
>
> Just a friendly ping.
>
> FWIW, I think there is probably not much to do here, since the above
> results were inconclusive; this implies that we should close this bug
> report.

More information was requested, but none was given within 13 weeks, so
I'm closing this bug.

If you feel that this is incorrect, please reply to this email (use
"Reply to all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas

Subject: 25.1.50; mouse-yank-primary should be bound to down-mouse-2
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Date: Mon, 12 Sep 2016 15:51:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

At least in all the Gnome apps I've tried, the primary X selection is
already inserted on the middle mouse button down event, not the up
event.  Therefore I'd suggest to change the binding of
mouse-yank-primary from mouse-2 to down-mouse-2.  This might even
partially solve the Gnome-Terminal issue described in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24420.

In GNU Emacs 25.1.50.5 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2016-09-12 built on unknown
Repository revision: 728e40088d054516c1cb5f5412cdab73ed84861d
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04 LTS

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 97802 7558)
 (symbols 48 20655 0)
 (miscs 40 325 119)
 (strings 32 17953 4894)
 (string-bytes 1 589460)
 (vectors 16 13793)
 (vector-slots 8 452926 6340)
 (floats 8 183 22)
 (intervals 56 211 0)
 (buffers 976 12)
 (heap 1024 27826 1055))

-- 
Google Germany GmbH
Erika-Mann-Straße 33
80636 München

Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg
Geschäftsführer: Matthew Scott Sucherman, Paul Terence Manicle

Diese E-Mail ist vertraulich.  Wenn Sie nicht der richtige Adressat sind,
leiten Sie diese bitte nicht weiter, informieren Sie den Absender und löschen
Sie die E-Mail und alle Anhänge.  Vielen Dank.

This e-mail is confidential.  If you are not the right addressee please do not
forward it, please inform the sender, and please erase this e-mail including
any attachments.  Thanks.